%global dir_name build-helper-maven-plugin

Name:           maven-plugin-build-helper
Version:        1.9.1
Release:        11
Summary:        Build Helper Maven Plugin
License:        MIT
URL:            https://www.mojohaus.org/build-helper-maven-plugin/
Source0:        https://github.com/mojohaus/build-helper-maven-plugin/archive/refs/tags/build-helper-maven-plugin-1.9.1.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local mvn(org.apache.maven:maven-artifact) mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.beanshell:bsh)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:) mvn(org.codehaus.plexus:plexus-utils)

%description
This plugin contains various small independent goals to assist with the Maven build lifecycle.

%package        help
Summary:        Help documents for ehcache-sizeof-agent
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
Manauals of API and other help documents for %{name}.

%prep
%autosetup -p1 -n %{dir_name}-%{dir_name}-%{version}

%pom_add_dep org.apache.maven:maven-compat

%build
%mvn_build -f

%install
%mvn_install

%files
%license header.txt
%{_javadir}/%{name}
%{_datadir}/maven*/*

%files help
%_javadocdir/%{name}

%changelog
* Thu Nov 10 2022 liyanan <liyanan32@h-partners.com>  - 1.9.1-11
- Change source

* Fri Feb 21 2020 catastrowings <jianghuhao1994@163.com> - 1.9.1-10
- Package init
